## org.apache.poi.hmef.extractor
Class HMEFContentsExtractor

    java.lang.Object
      org.apache.poi.hmef.extractor.HMEFContentsExtractor

    public final class HMEFContentsExtractor

extends java.lang.Object

A utility for extracting out the message body, and all attachments from a HMEF/TNEF/winmail.dat file

Constructor Summary
`HMEFContentsExtractor(java.io.File filename)`
`HMEFContentsExtractor(HMEFMessage message)`

Method Summary
`void` `extractAttachments(java.io.File dir)` Extracts all the message attachments to the supplied directory
`void` `extractMessageBody(java.io.File dest)` Extracts the RTF message body to the supplied file
`static void` `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HMEFContentsExtractor

    public HMEFContentsExtractor(java.io.File filename)
                          throws java.io.IOException

Throws:
  `java.io.IOException`

### HMEFContentsExtractor

    public HMEFContentsExtractor(HMEFMessage message)

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### extractMessageBody

    public void extractMessageBody(java.io.File dest)
                            throws java.io.IOException

  Extracts the RTF message body to the supplied file

  Throws:
    `java.io.IOException`

### extractAttachments

    public void extractAttachments(java.io.File dir)
                            throws java.io.IOException

  Extracts all the message attachments to the supplied directory

  Throws:
    `java.io.IOException`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.